/**
 * Type Dialog: 
 * Class <code>TDlg</code> encapsulates the TI-BASIC dialog function.
 @since First release
*/
public class TDlg extends TObject
{
    /** The window's title. */
    public String caption;
    
    /** The number of lines displayed. */
    public int dimension;
    
    /** The text displayed in the window. */
    public String[] message;
    
    /** The user's answer. */
    public boolean answer;
    
    /**
     * Instanciates a new Type Dialog.
     @since First release
    */
    public TDlg () {}
    
    /**
     * Instanciates a new Type Dialog.
     @param caption: The window's title.
     @since First release
    */
    public TDlg (String caption) {}
    
    /**
     * Instanciates a new Type Dialog.
     @param caption The window's title.
     @param message The text displayed in the window.
     @since First release
    */
    public TDlg (String caption, String message[]) {}
    
    /**
     * Sets the dialog's title.
     @param caption The window's title.
     @since First release
    */
    public void setCaption (String caption) {}
    
    /**
     * Sets the dialog's message.
     @param message The text displayed in the window.
     @since First release
    */
    public void setMessage (String message[]) {}
    
    /**
     * Sets the dimension of the dialog.
     @param dimension: The number of lines displayed.
     @since First release
    */
    public void setDimension (int dimension) {}
    
    /**
     * Returns the dimension of the dialog.
     @return dimension: The number of lines displayed.
     @since First release
    */
    public int getDimension () {return 0;}
    
    /**
     * Returns the dialog's message.
     @return message: The text displayed in the window.
     @since First release
    */
    public String[] getMessage () {return (new String[1]);}
    
    /**
     * Returns the dialog's title.
     @return caption: The window's title.
     @since First release
    */
    public String getCaption () {return "";}
    
    /**
     * Returns true if the user answered yes.
     @return answer: The user's answer.
     @since First release
    */
    public boolean getAnswer () {return false;}
    
    /**
     * Shows the dialog.
     @since First release.
    */
    public void showModal() {}
}